Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesApplication

    java.lang.Object
      javax.faces.application.Application
          php.java.faces.PhpFacesApplication

    public class PhpFacesApplication

extends javax.faces.application.Application

A custom Application, overrides getPropertyResolver.

Author:
  jostb
See Also:
  `PhpFacesPropertyResolver`

Constructor Summary
`PhpFacesApplication(javax.faces.application.Application app)`

Method Summary
`void` | `addComponent(java.lang.String componentType, java.lang.String componentClass)`
`void` | `addConverter(java.lang.Class targetClass, java.lang.String converterClass)`
`void` | `addConverter(java.lang.String converterId, java.lang.String converterClass)`
`void` | `addValidator(java.lang.String validatorId, java.lang.String validatorClass)`
`javax.faces.component.UIComponent` | `createComponent(java.lang.String componentType)`
`javax.faces.component.UIComponent` | `createComponent(javax.faces.el.ValueBinding componentBinding, javax.faces.context.FacesContext context, java.lang.String componentType)`
`javax.faces.convert.Converter` | `createConverter(java.lang.Class targetClass)`
`javax.faces.convert.Converter` | `createConverter(java.lang.String converterId)`
`javax.faces.el.MethodBinding` | `createMethodBinding(java.lang.String ref, java.lang.Class[] params)`
`javax.faces.validator.Validator` | `createValidator(java.lang.String validatorId)`
`javax.faces.el.ValueBinding` | `createValueBinding(java.lang.String ref)`
`javax.faces.event.ActionListener` | `getActionListener()`
`java.util.Iterator` | `getComponentTypes()`
`java.util.Iterator` | `getConverterIds()`
`java.util.Iterator` | `getConverterTypes()`
`java.util.Locale` | `getDefaultLocale()`
`java.lang.String` | `getDefaultRenderKitId()`
`java.lang.String` | `getMessageBundle()`
`javax.faces.application.NavigationHandler` | `getNavigationHandler()`
`javax.faces.el.PropertyResolver` | `getPropertyResolver()`
`javax.faces.application.StateManager` | `getStateManager()`
`java.util.Iterator` | `getSupportedLocales()`
`java.util.Iterator` | `getValidatorIds()`
`javax.faces.el.VariableResolver` | `getVariableResolver()`
`javax.faces.application.ViewHandler` | `getViewHandler()`
`void` | `setActionListener(javax.faces.event.ActionListener listener)`
`void` | `setDefaultLocale(java.util.Locale locale)`
`void` | `setDefaultRenderKitId(java.lang.String renderKitId)`
`void` | `setMessageBundle(java.lang.String bundle)`
`void` | `setNavigationHandler(javax.faces.application.NavigationHandler handler)`
`void` | `setPropertyResolver(javax.faces.el.PropertyResolver resolver)`
`void` | `setStateManager(javax.faces.application.StateManager manager)`
`void` | `setSupportedLocales(java.util.Collection locales)`
`void` | `setVariableResolver(javax.faces.el.VariableResolver resolver)`
`void` | `setViewHandler(javax.faces.application.ViewHandler handler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesApplication

    public PhpFacesApplication(javax.faces.application.Application app)

Method Detail

### getActionListener

    public javax.faces.event.ActionListener getActionListener()

  Specified by:
    `getActionListener` in class `javax.faces.application.Application`

### setActionListener

    public void setActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `setActionListener` in class `javax.faces.application.Application`

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

  Specified by:
    `getDefaultLocale` in class `javax.faces.application.Application`

### setDefaultLocale

    public void setDefaultLocale(java.util.Locale locale)

  Specified by:
    `setDefaultLocale` in class `javax.faces.application.Application`

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

  Specified by:
    `getDefaultRenderKitId` in class `javax.faces.application.Application`

### setDefaultRenderKitId

    public void setDefaultRenderKitId(java.lang.String renderKitId)

  Specified by:
    `setDefaultRenderKitId` in class `javax.faces.application.Application`

### getMessageBundle

    public java.lang.String getMessageBundle()

  Specified by:
    `getMessageBundle` in class `javax.faces.application.Application`

### setMessageBundle

    public void setMessageBundle(java.lang.String bundle)

  Specified by:
    `setMessageBundle` in class `javax.faces.application.Application`

### getNavigationHandler

    public javax.faces.application.NavigationHandler getNavigationHandler()

  Specified by:
    `getNavigationHandler` in class `javax.faces.application.Application`

### setNavigationHandler

    public void setNavigationHandler(javax.faces.application.NavigationHandler handler)

  Specified by:
    `setNavigationHandler` in class `javax.faces.application.Application`

### getPropertyResolver

    public javax.faces.el.PropertyResolver getPropertyResolver()

  Specified by:
    `getPropertyResolver` in class `javax.faces.application.Application`

### setPropertyResolver

    public void setPropertyResolver(javax.faces.el.PropertyResolver resolver)

  Specified by:
    `setPropertyResolver` in class `javax.faces.application.Application`

### getVariableResolver

    public javax.faces.el.VariableResolver getVariableResolver()

  Specified by:
    `getVariableResolver` in class `javax.faces.application.Application`

### setVariableResolver

    public void setVariableResolver(javax.faces.el.VariableResolver resolver)

  Specified by:
    `setVariableResolver` in class `javax.faces.application.Application`

### getViewHandler

    public javax.faces.application.ViewHandler getViewHandler()

  Specified by:
    `getViewHandler` in class `javax.faces.application.Application`

### setViewHandler

    public void setViewHandler(javax.faces.application.ViewHandler handler)

  Specified by:
    `setViewHandler` in class `javax.faces.application.Application`

### getStateManager

    public javax.faces.application.StateManager getStateManager()

  Specified by:
    `getStateManager` in class `javax.faces.application.Application`

### setStateManager

    public void setStateManager(javax.faces.application.StateManager manager)

  Specified by:
    `setStateManager` in class `javax.faces.application.Application`

### addComponent

    public void addComponent(java.lang.String componentType,
                             java.lang.String componentClass)

  Specified by:
    `addComponent` in class `javax.faces.application.Application`

### createComponent

    public javax.faces.component.UIComponent createComponent(java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Specified by:
    `createComponent` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### getComponentTypes

    public java.util.Iterator getComponentTypes()

  Specified by:
    `getComponentTypes` in class `javax.faces.application.Application`

### addConverter

    public void addConverter(java.lang.String converterId,
                             java.lang.String converterClass)

  Specified by:
    `addConverter` in class `javax.faces.application.Application`

### addConverter

    public void addConverter(java.lang.Class targetClass,
                             java.lang.String converterClass)

  Specified by:
    `addConverter` in class `javax.faces.application.Application`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.String converterId)

  Specified by:
    `createConverter` in class `javax.faces.application.Application`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.Class targetClass)

  Specified by:
    `createConverter` in class `javax.faces.application.Application`

### getConverterIds

    public java.util.Iterator getConverterIds()

  Specified by:
    `getConverterIds` in class `javax.faces.application.Application`

### getConverterTypes

    public java.util.Iterator getConverterTypes()

  Specified by:
    `getConverterTypes` in class `javax.faces.application.Application`

### createMethodBinding

    public javax.faces.el.MethodBinding createMethodBinding(java.lang.String ref,
                                                            java.lang.Class[] params)
                                                     throws javax.faces.el.ReferenceSyntaxException

  Specified by:
    `createMethodBinding` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.el.ReferenceSyntaxException`

### getSupportedLocales

    public java.util.Iterator getSupportedLocales()

  Specified by:
    `getSupportedLocales` in class `javax.faces.application.Application`

### setSupportedLocales

    public void setSupportedLocales(java.util.Collection locales)

  Specified by:
    `setSupportedLocales` in class `javax.faces.application.Application`

### addValidator

    public void addValidator(java.lang.String validatorId,
                             java.lang.String validatorClass)

  Specified by:
    `addValidator` in class `javax.faces.application.Application`

### createValidator

    public javax.faces.validator.Validator createValidator(java.lang.String validatorId)
                                                    throws javax.faces.FacesException

  Specified by:
    `createValidator` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### getValidatorIds

    public java.util.Iterator getValidatorIds()

  Specified by:
    `getValidatorIds` in class `javax.faces.application.Application`

### createValueBinding

    public javax.faces.el.ValueBinding createValueBinding(java.lang.String ref)
                                                   throws javax.faces.el.ReferenceSyntaxException

  Specified by:
    `createValueBinding` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.el.ReferenceSyntaxException`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.faces.el.ValueBinding componentBinding,
                                                             javax.faces.context.FacesContext context,
                                                             java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Specified by:
    `createComponent` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD